net.sf.jasperreports.olap.mapping

## Interface MappingParserTokenTypes

- All Known Implementing Classes:
    MappingLexer, MappingParser

      public interface MappingParserTokenTypes

  Version:
    $Id: MappingParserTokenTypes.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMMA`
    `static int` | `DIGIT`
    `static int` | `EOF`
    `static int` | `INT`
    `static int` | `LETTER`
    `static int` | `LITERAL_Axis`
    `static int` | `LITERAL_Chapters`
    `static int` | `LITERAL_Columns`
    `static int` | `LITERAL_Data`
    `static int` | `LITERAL_FormattedData`
    `static int` | `LITERAL_Pages`
    `static int` | `LITERAL_Rows`
    `static int` | `LITERAL_Sections`
    `static int` | `LPAREN`
    `static int` | `MINUS`
    `static int` | `MONDRNAME`
    `static int` | `NAME`
    `static int` | `NULL_TREE_LOOKAHEAD`
    `static int` | `PLUS`
    `static int` | `POINT`
    `static int` | `QMARK`
    `static int` | `RPAREN`
    `static int` | `STAR`
    `static int` | `WS`

- - ### Field Detail

    - #### EOF

          static final int EOF

      See Also:
        Constant Field Values

    - #### NULL_TREE_LOOKAHEAD

          static final int NULL_TREE_LOOKAHEAD

      See Also:
        Constant Field Values

    - #### LITERAL_Axis

          static final int LITERAL_Axis

      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      See Also:
        Constant Field Values

    - #### LITERAL_Columns

          static final int LITERAL_Columns

      See Also:
        Constant Field Values

    - #### LITERAL_Rows

          static final int LITERAL_Rows

      See Also:
        Constant Field Values

    - #### LITERAL_Pages

          static final int LITERAL_Pages

      See Also:
        Constant Field Values

    - #### LITERAL_Chapters

          static final int LITERAL_Chapters

      See Also:
        Constant Field Values

    - #### LITERAL_Sections

          static final int LITERAL_Sections

      See Also:
        Constant Field Values

    - #### LITERAL_Data

          static final int LITERAL_Data

      See Also:
        Constant Field Values

    - #### LITERAL_FormattedData

          static final int LITERAL_FormattedData

      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      See Also:
        Constant Field Values

    - #### QMARK

          static final int QMARK

      See Also:
        Constant Field Values

    - #### POINT

          static final int POINT

      See Also:
        Constant Field Values

    - #### INT

          static final int INT

      See Also:
        Constant Field Values

    - #### MONDRNAME

          static final int MONDRNAME

      See Also:
        Constant Field Values

    - #### NAME

          static final int NAME

      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      See Also:
        Constant Field Values

    - #### WS

          static final int WS

      See Also:
        Constant Field Values

    - #### DIGIT

          static final int DIGIT

      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      See Also:
        Constant Field Values

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com